Upgrade from version 3.3.1 to 5.0.2

Ask general questions here.
martinacc
Posts: 5
Joined: Wed Mar 23, 2011 1:49 pm

Upgrade from version 3.3.1 to 5.0.2

Post by martinacc » Thu May 22, 2014 3:56 pm

Hello,

We are still running with version 3.3.1 (runtime and studio). I had a couple of questions before we upgrade to 5.0.2
All of our scripts were recorded against a FLEX (v3.5) application.

- Can we upgrade directly from 3.3.1 to 5.0.2?
- Compiled scripts (EXE) and DLL (3.3.1) will be backward compatible without recompiling them with 5.0.2 after the upgrade?
- Know issues of FLEX recorded scripts from 3.3.1 to 5.0.2?

Thank you,
Martin

krstcs
Ranorex Guru
Posts: 2683
Joined: Tue Feb 07, 2012 4:14 pm
Location: Austin, Texas, USA

Re: Upgrade from version 3.3.1 to 5.0.2

Post by krstcs » Fri May 23, 2014 2:56 pm

You will need (and want) to re-compile all of your scripts with 5.0.2. You will also need to upgrade EVERY install of Ranorex to 5.0.2.

There have been changes in Ranorex 4 and 5 that break some things in earlier versions. There have also been some improvements to the system that you will want to have.

I would suggest that you upgrade one system only, then recompile your tests on that system and run them from there to make sure they work. You can then make any changes you need and test the test as needed without upgrading everything at once and running into serious problems.

If you don't use a source code versioning system, I would recommend that before you start the upgrade.


The upgrade shouldn't be too big of a deal, but you don't want to get caught by issues.
Shortcuts usually aren't...

User avatar
Support Team
Site Admin
Site Admin
Posts: 11709
Joined: Fri Jul 07, 2006 4:30 pm
Location: Graz, Austria

Re: Upgrade from version 3.3.1 to 5.0.2

Post by Support Team » Fri May 23, 2014 3:03 pm

Hi Martin,

Regarding your questions:
Add 1: Yes, you can directly upgrade to 5.0.2.
Add 2: You are asking if it is possible to reference older Ranorex libraries, right?
If so, I unfortunately have to say that we have an issue with the data binding of variables of modules from a referenced Ranorex DLL or EXE when the DLL or EXE was built with an other version than the version of the main solution. This issue should be fixed with 5.1. It should then be possible to reference older Ranorex libraries.
Add 3: There were a lot of changes between 3.3.1 and 5.0.2, so I would suggest to carefully read the Release Notes, in special the parts about the breaking changes of Ranorex 4.X and Ranorex 5.X.

Furthermore it is always a good idea to have a backup of the original files, in case something unexpected happens.

Regards,
Markus
.
Image